Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.webcontainer
Class PicoServletHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.servlet.ServletHandler
                  org.nanocontainer.webcontainer.PicoServletHandler

All Implemented Interfaces:
  org.mortbay.component.LifeCycle, org.mortbay.jetty.Handler

    public class PicoServletHandler

extends org.mortbay.jetty.servlet.ServletHandler

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.ServletHandler
`__DEFAULT_SERVLET, __J_S_CONTEXT_TEMPDIR, __J_S_ERROR_EXCEPTION, __J_S_ERROR_EXCEPTION_TYPE, __J_S_ERROR_MESSAGE, __J_S_ERROR_REQUEST_URI, __J_S_ERROR_SERVLET_NAME, __J_S_ERROR_STATUS_CODE, _chainCache, _namedChainCache`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`PicoServletHandler(org.picocontainer.PicoContainer parentContainer)`

Method Summary
`org.mortbay.jetty.servlet.FilterHolder` | `newFilterHolder(Class filterClass)`
`org.mortbay.jetty.servlet.ServletHolder` | `newServletHolder(Class servletClass)`

Methods inherited from class org.mortbay.jetty.servlet.ServletHandler
`addFilter, addFilter, addFilter, addFilterMapping, addFilterWithMapping, addFilterWithMapping, addFilterWithMapping, addServlet, addServlet, addServletMapping, addServletWithMapping, addServletWithMapping, addServletWithMapping, doStart, doStop, getContextLog, getFilterMappings, getFilters, getHolderEntry, getMaxFilterChainsCacheSize, getRequestDispatcher, getServletContext, getServletMappings, getServlets, handle, initialize, isFilterChainsCached, isInitializeAtStart, newFilterHolder, newServletHolder, notFound, setFilterChainsCached, setFilterMappings, setFilters, setInitializeAtStart, setMaxFilterChainsCacheSize, setServer, setServletMappings, setServlets, updateMappings`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`getServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopping, start, stop`

Constructor Detail

### PicoServletHandler

    public PicoServletHandler(org.picocontainer.PicoContainer parentContainer)

Method Detail

### newServletHolder

    public org.mortbay.jetty.servlet.ServletHolder newServletHolder(Class servletClass)

  Overrides:
    `newServletHolder` in class `org.mortbay.jetty.servlet.ServletHandler`

### newFilterHolder

    public org.mortbay.jetty.servlet.FilterHolder newFilterHolder(Class filterClass)

  Overrides:
    `newFilterHolder` in class `org.mortbay.jetty.servlet.ServletHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.